VendorDirectFulfillmentPayments#

class sp_api.api.VendorDirectFulfillmentPayments(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)#

VendorDirectFulfillmentPayments SP-API Client :link:

The Selling Partner API for Direct Fulfillment Payments provides programmatic access to a direct fulfillment vendor’s invoice data.

submit_invoice(self, **kwargs) ApiResponse#

Submits one or more invoices for a vendor’s direct fulfillment orders.

Usage Plan:

Rate (requests per second)

Burst

10

10

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

VendorDirectFulfillmentPayments().submit_invoice()
Parameters:

body – SubmitInvoiceRequest | required The request body containing one or more invoices for vendor orders.

Returns:

ApiResponse